Package Gnumed :: Package wxpython :: Module gmSOAPWidgets :: Class cProgressNoteInputNotebook |
[frames] | no frames]

# Class cProgressNoteInputNotebook

source code

                        wx.Notebook --+
                                      |
    gmRegetMixin.cRegetOnPaintMixin --+
                                      |
                                     cProgressNoteInputNotebook

A notebook holding panels with progress note editors.

There is one progress note editor panel for each episode being worked on.

Instance Methods
__init__(self, parent, id, pos=wx.DefaultPosition, size=wx.DefaultSize) | source code
add_editor(self, problem=None, allow_same_problem=False) Add a progress note editor page. | source code
close_current_editor(self) | source code
warn_on_unsaved_soap(self) | source code
save_unsaved_soap(self) | source code
Inherited from `gmRegetMixin.cRegetOnPaintMixin`: `repopulate_ui`

Method Details

### __init__(self, parent, id, pos=wx.DefaultPosition, size=wx.DefaultSize) (Constructor) | source code
Overrides: gmRegetMixin.cRegetOnPaintMixin.__init__

### add_editor(self, problem=None, allow_same_problem=False) | source code
Add a progress note editor page. The way <allow_same_problem> is currently used in callers it only applies to unassociated episodes.